For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • POSTCreate schedule trigger
      • GETList project schedule trigger events
      • GETGet schedule trigger
      • POSTUpdate schedule trigger
      • DELDelete schedule trigger
      • GETList schedule trigger events
      • GETGet schedule trigger event
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceSchedule Triggers

List project schedule trigger events

GET
/org/:org_id/project/:project_id/trigger/schedule/events
GET
/api/v1/org/:org_id/project/:project_id/trigger/schedule/events
$curl https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/trigger/schedule/events \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "string",
5 "schedule_trigger_id": "string",
6 "scheduled_time": "string",
7 "received_at": "string",
8 "status": "string",
9 "processing_started_at": "string",
10 "completed_at": "string",
11 "error_message": "string",
12 "error_code": "string",
13 "task_run_id": "string",
14 "task_agent_run_id": "string"
15 }
16 ],
17 "pagination": {
18 "next_cursor": "019097c5-5560-05b5-4a48-5197a269683b",
19 "has_next": true,
20 "page_limit": 100
21 }
22}
List execution history for schedule triggers in the project.
Was this page helpful?
Previous

Get schedule trigger

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Query parameters

cursorstringOptional

A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.

page_limitintegerOptional1-100Defaults to 100

The maximum number of items to return per page. Defaults to 100 if not specified.

statusstringOptional
trigger_typeenumOptional
Supported trigger types.
Allowed values:
target_typeenumOptional
Target resource type for trigger execution.
Allowed values:
target_idstringOptionalformat: "uuid"

Response

Successful Response
resultslist of objects
The list of items returned for the current page.
paginationobject or null
Contains pagination information for the result set.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error